Skip to main content
`Ctrl`+`K`

# smallpond.logical.node.UnionNode

class smallpond.logical.node.UnionNode(ctx: Context, input_deps: Tuple[ Node , ...])

  Union two or more nodes into one flow of data.

  __init__(ctx: Context, input_deps: Tuple[ Node , ...])

    Union two or more input_deps into one flow of data.

    ## Parameters

    input_deps

      All input deps should have the same set of partition dimensions.

  Methods

  `__init__`(ctx, input_deps) | Union two or more input_deps into one flow of data.
  `add_perf_metrics`(name, value) |
  `create_task`(runtime_ctx, input_deps, ...) |
  `get_perf_stats`(name) |
  `slim_copy`() |
  `task_factory`(task_builder) |

  Attributes

  `enable_resource_boost` |
  `num_partitions` |